# monogusa (= lazy in Japanese)
Python utilities for machine learning and digital signal processing

<!-- badges -->
![CI](https://github.com/ywatanabe1989/mngs/actions/workflows/pypi_latest.yml/badge.svg)
![CI](https://github.com/ywatanabe1989/mngs/actions/workflows/latest_release.yml/badge.svg)
![CI](https://github.com/ywatanabe1989/mngs/actions/workflows/develop.yml/badge.svg)

<!-- logo -->
<div style="text-align: center;">
    <img src="./docs/lazy_python.gif" alt="Lazy Python" width="200px">
</div>

## Overview
Monogusa (mngs) is a comprehensive Python package that provides a collection of utilities for machine learning, digital signal processing, and various other tasks. It aims to simplify common operations and provide efficient tools for developers and researchers.

## Features
- Input/Output operations
- Path manipulation
- Digital Signal Processing (DSP) tools
- Resource management
- General utilities
- Plotting functions
- Machine Learning utilities
- Statistical analysis tools

## Installation
```bash
# PyPI latest
$ pip install mngs

# Development version
$ pip install git+https://github.com/ywatanabe1989/mngs.git@develop
```

## Submodules
- [`mngs.io`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/io#readme): Input/Output operations
- [`mngs.path`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/path#readme): Path manipulation utilities
- [`mngs.dsp`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/dsp#readme): Digital Signal Processing tools
- [`mngs.res`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/res#readme): Resource management
- [`mngs.general`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/general#readme): General utilities
- [`mngs.plt`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/plt#readme): Plotting functions
- [`mngs.ai`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/ai#readme): AI and Machine Learning utilities
- [`mngs.stats`](https://github.com/ywatanabe1989/mngs/tree/main/src/mngs/stats#readme): Statistical analysis tools

## Documentation
For detailed documentation, please visit our [GitHub Pages](https://ywatanabe1989.github.io/mngs/).

## Contributing
Contributions are welcome! Please feel free to submit a Pull Request.

## License
This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Contact
Yusuke Watanabe (ywata1989@gmail.com)

